Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.db.makumba.sql
Class OdbcjetTableManager

    java.lang.Object
      org.makumba.db.makumba.Table
          org.makumba.db.makumba.sql.TableManager
              org.makumba.db.makumba.sql.OdbcjetTableManager

Direct Known Subclasses:
  OdbcjetV4TableManager

    public class OdbcjetTableManager

extends TableManager

Author:
  Bart TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Nested Class Summary

Nested classes/interfaces inherited from class org.makumba.db.makumba.sql.TableManager
`TableManager.CatalogChecker, TableManager.CheckingStrategy`

Field Summary

Fields inherited from class org.makumba.db.makumba.sql.TableManager
`admin, alter, checkDuplicate, checkNullDuplicate, dbsv, exists_, extraIndexes, foreignKeys, handlerExist, handlerList, handlerListAutoIncrement, indexDBField, indexes, indexField, keyIndex, modTable, parsedForeignKeys, preparedDeleteFromIgnoreDbsvString, preparedDeleteFromString, preparedDeleteString, preparedInsertAutoIncrementString, preparedInsertString, primaryKeyCurrentIndex, tbname`

Fields inherited from class org.makumba.db.makumba.Table
`dd`

Constructor Summary
`OdbcjetTableManager()`

Method Summary
`protected void` | `create(SQLDBConnection dbc, String tblname, boolean really)` a table creation, from this table's RecordInfo
`Object` | `get_text_Value(String fieldName, ResultSet rs, int i)` get the java value of the recordSet column corresponding to this field.
`protected String` | `getFieldDBType(String fieldName)` what is the database level type of this field?
`protected void` | `indexCreated(SQLDBConnection dbc)` for odbc
`void` | `setArgument(String fieldName, PreparedStatement ps, int n, Object o)` set a non-null argument of this type in a prepared SQL statement
`void` | `setNullArgument(String fieldName, PreparedStatement ps, int n)` set a null argument of this type in a prepared SQL statement
`protected boolean` | `unmodified(String fieldName, int type, int size, Vector<Hashtable<String,Object>> columns, int index)` check if the column from the SQL database (read from the catalog) still corresponds with the abstract definition of this field
`String` | `writeConstant(String fieldName, Object o)` stupdid odbc needs a {ts 'date'} format when writing date constants

Methods inherited from class org.makumba.db.makumba.sql.TableManager
`alter, alter, base_getValue, base_inCreate, base_setInsertArgument, base_toSQLObject, base_unmodified, base_writeConstant, canAdmin, check_char_Width, check_char_Width, check_timeStamp_ValueImpl, checkCopy, checkDuplicate, checkDuplicate, checkInsert, checkStructure, checkUpdate, createDbSpecific, deleteFrom, deleteRecord, doAlter, exists, exists, fieldList, fillResult, fillResult, findDuplicates, findMultiFieldMultiTableDuplicates, foreignKeyCreateSyntax, get_binary_FieldDBType, get_binary_SQLType, get_binary_Value, get_boolean_FieldDBType, get_boolean_SQLType, get_boolean_Value, get_char_FieldDBType, get_char_SQLType, get_char_Value, get_dateTime_FieldDBType, get_dateTime_SQLType, get_dateTime_Value, get_int_FieldDBType, get_int_SQLType, get_int_Value, get_nil_Value, get_ptrDB_FieldDBType, get_ptrDB_SQLType, get_ptrDB_Value, get_real_FieldDBType, get_real_SQLType, get_text_FieldDBType, get_timeStamp_FieldDBType, get_timeStamp_SQLType, get_timeStamp_Value, getColumnAlterKeyword, getDBName, getEngineProperty, getFieldDBIndexName, getFieldDBName, getFieldDBType, getSQLDatabase, getSQLType, getTableMissingStateName, getValue, getValue, hasForeignKey, in_boolean_Create, in_char_Create, inCondition, inCreate, indexCreateSyntax, indexCreateUniqueSyntax, indexCreateUniqueSyntax, indexDropSyntax, initFields, inPreparedInsert, inPreparedUpdate, insertRecordImpl, isIndexOk, isIndexOk, makeKeyIndex, manageForeignKeys, manageIndexes, nextId_ptrIndex, nxt_ptrIndex, nxt, onStartup, open, prepareDelete, prepareInsert, resetPrimaryKey, set_binary_Argument, set_text_Argument, set_timeStamp_InsertArgument, setCopyArgument, setInsertArgument, setTableAndFieldNames, setUpdateArgument, setUpdateArgument, setValue, setValue, should_text_Index, shouldIndex, toSQL_dateTime_Object, toSQL_ptrDB_Object, toSQLObject, unmodified_char, unmodified_wrapper, updateRecord, usesHidden, write_binary_Constant, write_boolean_Constant, write_char_Constant, write_dateTime_Constant, write_text_Constant, write_timeStamp_Constant`

Methods inherited from class org.makumba.db.makumba.Table
`getDatabase, getDataDefinition, getFieldDefinition, getRelatedTable, insertRecord, setDataDefinition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OdbcjetTableManager

    public OdbcjetTableManager()

Method Detail

### create

    protected void create(SQLDBConnection dbc,
                          String tblname,
                          boolean really)
                   throws SQLException

  Description copied from class: `TableManager`
  a table creation, from this table's RecordInfo

  Overrides:
    `create` in class `TableManager`
  Throws:
    `SQLException`

### indexCreated

    protected void indexCreated(SQLDBConnection dbc)

  Description copied from class: `TableManager`
  for odbc

  Overrides:
    `indexCreated` in class `TableManager`

### unmodified

    protected boolean unmodified(String fieldName,
                                 int type,
                                 int size,
                                 Vector<Hashtable<String,Object>> columns,
                                 int index)
                          throws SQLException

  Description copied from class: `TableManager`
  check if the column from the SQL database (read from the catalog) still corresponds with the abstract definition of this field

  Overrides:
    `unmodified` in class `TableManager`
  Throws:
    `SQLException`

### writeConstant

    public String writeConstant(String fieldName,
                                Object o)

  stupdid odbc needs a {ts 'date'} format when writing date constants

  Overrides:
    `writeConstant` in class `TableManager`

### setNullArgument

    public void setNullArgument(String fieldName,
                                PreparedStatement ps,
                                int n)
                         throws SQLException

  Description copied from class: `TableManager`
  set a null argument of this type in a prepared SQL statement

  Overrides:
    `setNullArgument` in class `TableManager`
  Throws:
    `SQLException`

### setArgument

    public void setArgument(String fieldName,
                            PreparedStatement ps,
                            int n,
                            Object o)
                     throws SQLException

  Description copied from class: `TableManager`
  set a non-null argument of this type in a prepared SQL statement

  Overrides:
    `setArgument` in class `TableManager`
  Throws:
    `SQLException`

### getFieldDBType

    protected String getFieldDBType(String fieldName)

  Description copied from class: `TableManager`
  what is the database level type of this field?

  Overrides:
    `getFieldDBType` in class `TableManager`

### get_text_Value

    public Object get_text_Value(String fieldName,
                                 ResultSet rs,
                                 int i)
                          throws SQLException

  get the java value of the recordSet column corresponding to this field. This method should return null if the SQL field is null

  Overrides:
    `get_text_Value` in class `TableManager`
  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20